- if ::Gitlab::CurrentSettings.custom_project_templates_enabled?
  - project_template_count = current_user.available_custom_project_templates.count
  - group_id = params[:namespace_id]

  .project-templates-buttons.col-sm-12
    %ul.nav-tabs.nav-links.nav.scrolling-tabs
      %li.built-in-tab
        %a.nav-link.active{ href: "#built-in", data: { toggle: 'tab'} }
          = _('Built-in')
          %span.badge.badge-pill= Gitlab::ProjectTemplate.all.count
      %li.custom-instance-project-templates-tab
        %a.nav-link.js-custom-instance-project-templates-nav-link.qa-instance-templates-tab{ href: "#custom-instance-project-templates", data: { toggle: 'tab'} }
          = _('Instance')
          %span.badge.badge-pill.qa-instance-template-tab-badge= project_template_count
      %li.custom-group-project-templates-tab
        %a.nav-link.js-custom-group-project-templates-nav-link.qa-group-templates-tab{ href: "#custom-group-project-templates", data: { toggle: 'tab'} }
          = _('Group')
          %span.badge.badge-pill.qa-group-template-tab-badge
            = group_project_templates_count(group_id)
      %li.sample-data-templates-tab
        %a.nav-link{ href: "#sample-data-templates", data: { toggle: 'tab'} }
          = _('Sample Data')
          %span.badge.badge-pill= Gitlab::SampleDataTemplate.all.count

  .tab-content
    .project-templates-buttons.import-buttons.tab-pane.active#built-in
      = render partial: 'projects/project_templates/template', collection: Gitlab::ProjectTemplate.all
    .project-templates-buttons.import-buttons.tab-pane.js-custom-instance-project-templates-tab-content#custom-instance-project-templates{ data: {initial_templates: user_available_project_templates_path(current_user)} }
      .text-center.m-4
        .spinner.spinner-md
    .project-templates-buttons.import-buttons.tab-pane.js-custom-group-project-templates-tab-content#custom-group-project-templates{ data: {initial_templates: user_available_group_templates_path(current_user, group_id: group_id)} }
      .text-center.m-4
        .spinner.spinner-md
    .project-templates-buttons.import-buttons.tab-pane#sample-data-templates
      = render partial: 'projects/project_templates/template', collection: Gitlab::SampleDataTemplate.all

  .project-fields-form
    = render 'projects/project_templates/project_fields_form'
    = f.hidden_field(:use_custom_template, value: false)
    = f.hidden_field(:group_with_project_templates_id, value: nil, class: 'js-project-group-with-project-templates-id')
    = render 'projects/new_project_fields', f: f, project_name_id: "template-project-name", hide_init_with_readme: true, track_label: "create_from_template"

- else
  = render_ce 'projects/project_templates', f: f
